OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.TextureMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVTextureMultisample :: MonadIO m => m Bool
- gl_NV_texture_multisample :: Bool
- gl_TEXTURE_COLOR_SAMPLES_NV :: GLenum
- gl_TEXTURE_COVERAGE_SAMPLES_NV :: GLenum
- glTexImage2DMultisampleCoverageNV :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexImage3DMultisampleCoverageNV :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage2DMultisampleCoverageNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage2DMultisampleNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage3DMultisampleCoverageNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage3DMultisampleNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetNVTextureMultisample :: MonadIO m => m Bool

Is the NV_texture_multisample extension supported?

gl_NV_texture_multisample :: Bool

Is the NV_texture_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVTextureMultisample` in those cases instead.

# Enums

gl_TEXTURE_COLOR_SAMPLES_NV :: GLenum

gl_TEXTURE_COVERAGE_SAMPLES_NV :: GLenum

# Functions

glTexImage2DMultisampleCoverageNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTexImage3DMultisampleCoverageNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage2DMultisampleCoverageNV

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage2DMultisampleNV

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `samples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage3DMultisampleCoverageNV

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage3DMultisampleNV

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `samples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |